/****************************************
	
	resizes all iframes with the class "iframe_height"

***************************************/

if( !window.iframe_height ){
	
	var iframe_height = { iframe:[] };

	iframe_height.start = function(e){
		
		var a = document.querySelectorAll( 'iframe.iframe_height' ),
			i = a.length;
		
		while(i--){
			
			var f = a[i];
				
			if( this.is_new_iframe( f ) ){
				
				var o = this.get_height_solver(f);
				o.contentWindow.addEventListener( 'resize',	o.solve_height_ );
				o.contentWindow.addEventListener( 'load',	o.solve_height_ );
			}
		}
		
		setTimeout( this.update, 100 );
		
	}.bind( iframe_height );
	
	iframe_height.get_height_solver = function(f){
		
		var o		= {};
		o.parent	= this;
		o.iframe	= f;
		o.contentWindow	= f.contentWindow;
		o.solve_height_ = (this.solve_height()).bind(o);
		
		this.iframe.push(o);
		
		return(o);
	};
	
	iframe_height.update = function(){
		
		var a = this.iframe,
			i = a.length;
		
		while( i-- ){
			this.render_height(a[i]);
		}
		
	}.bind(iframe_height);
	
	iframe_height.solve_height = function(e){
		
		return(function(e){
			
			this.parent.render_height(this);
			
			this.parent.delayed_update(this);
		});//.bind( height_solver );
	};
	
	iframe_height.is_new_iframe = function(f){
		
		var a = this.iframe,
			i = a.length;
		
		while( i-- ){
			
			if( a[i].iframe === f ){
				return(false);
			}
		}
		
		return(true);
	};
	
	iframe_height.render_height = function(o, _type){
		
		if( o.contentWindow && o.contentWindow.document && o.contentWindow.document.body ){
			
			var h = o.contentWindow.document.body.scrollHeight;
			
			var w = o.contentWindow.document.body.scrollWidth;
			
			if( w != o.last_width && w == o.second_to_last_width && o.iframe.height > h ){
				
				// CHECK FOR SCROLLBAR SIZE
				var d = Math.abs( w - o.last_width );
				if( d < 60 ){
					return;
				}
			}
			
			if( _type == "timed_disable" ){
				
				this.delayed_disable(o);
			}
			
			o.second_to_last_width = o.last_width;
			o.last_width = w;
			
			o.iframe.height = h;
		}
	};
	
	iframe_height.delayed_update = function(o){
		
		o.delayed_update && clearTimeout( o.delayed_update );
		
		o.delayed_update = setTimeout( function(){
			
			this.parent.render_height(o, "timed_disable");
			
		}.bind(o), 250 );
	};
	
	iframe_height.delayed_disable = function(o){
		
		o.contentWindow.removeEventListener( 'resize',	o.solve_height_ );
		
		o.delayed_disable && clearTimeout( o.delayed_disable );
		
		o.delayed_disable = setTimeout( function(){
			
			this.contentWindow.addEventListener( 'resize',	o.solve_height_ );
			
		}.bind(o), 150 );
	};

	iframe_height.init = function(){
		
		if( document.readyState === "complete" 
		 || document.readyState === "loaded" 
		 || document.readyState === "interactive" ){
			
			this.start();
		
		 } else {
			document.addEventListener('DOMContentLoaded', this.start );
		}
		
	};

	iframe_height.init();
}