/****************************************
	
	resizes all iframes with the class "iframe_height_crossdomain"

***************************************/

if( !window.iframe_height_crossdomain ){
	
	var iframe_height_crossdomain = { iframe:[], uid_counter:0 };



	iframe_height_crossdomain.start = function(e){
		
		window.addEventListener( "message", this.on_message );
		
		var a = document.querySelectorAll( 'iframe.iframe_height_crossdomain' ),
			i = a.length;
		
		while(i--){
			
			var f = a[i];
			
			if( this.is_new_iframe( f ) ){
				
				var o = this.make_height_solver(f);
				o.contentWindow.postMessage( 'iframe_height_crossdomain:uid:'+o.uid,	'*' );
			}
		}
		
	}.bind( iframe_height_crossdomain );
	
	

	iframe_height_crossdomain.on_message = function(e){
		
		var a = e.data.split(':');
		
		if( a[0] == 'iframe_height_crossdomain' ){
			
			
			if( a[1] == 'height' &&  !isNaN( a[2] ) && !isNaN( a[3] ) ){// 2 = uid, 3 = height
				
				var o = this.get_height_solver_by_uid( a[2] );
				o && this.set_height( o, a[3] );
			}
		}
		
	}.bind(iframe_height_crossdomain);
	
	
	iframe_height_crossdomain.make_height_solver = function(f){
		
		var o			= {};
		o.parent		= this;
		o.iframe		= f;
		o.contentWindow	= f.contentWindow;
		o.uid			= this.uid_counter++;
		
		this.iframe.push(o);
		
		return(o);
	};
	
	
	
	iframe_height_crossdomain.set_height = function( o, _height ){
		
		o.iframe.height = _height;
	};
	
	
	iframe_height_crossdomain.get_height_solver_by_uid = function( uid ){
		
		var a = this.iframe,
			i = a.length;
		
		while( i-- ){
			
			if( uid == a[i].uid ){
				return(a[i]);
			}
		}
		
		return(false);
	};
	
	
	iframe_height_crossdomain.is_new_iframe = function(f){
		
		var a = this.iframe,
			i = a.length;
		
		while( i-- ){
			
			if( a[i].iframe === f ){
				return(false);
			}
		}
		
		return(true);
	};
	
	
	iframe_height_crossdomain.init = function(){
		
		if( document.readyState === 'complete' ){
			
			this.start();
			
		 } else {
			window.addEventListener('load', this.start );
		}
		
	};
	
	iframe_height_crossdomain.init();
}